mpm-itk + suexec + php-cgi

Discussion in 'Installation/Configuration' started by grungy, Mar 25, 2010.

  1. grungy

    grungy HowtoForge Supporter

    I run mpm-itk with mod_php and it works great. I client requested that his site is run under php-cgi instead of mod_php which I enabled but get the following error message:

    ERROR 500 - Internal Server Error!

    and apache error.log shows:
    Code:
    suexec policy violation: see suexec log for more details, referer: http://www.xxxxxx.com/stranica/situacija
    Premature end of script headers: php-cgi-starter, referer: http://www.xxxx.com/stranica/situacija
    
    so I did following:

    Code:
    # ls -all /usr/lib/apache2/suexec
    -rwsr-xr-- 1 root www-data 13392 Nov 14 22:09 /usr/lib/apache2/suexec
    # chown www-data.www-data /usr/lib/apache2/suexec
    # chmod 4755 /usr/lib/apache2/suexec
    
    the I restarted apache and the site started working. Great, but now I get following errors when I restart apache:

    Code:
    # /etc/init.d/apache2 restart
    Restarting web server: apache2Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
     ... waiting Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    
    Any ideas?

    These messages go away when I undo the changes:
    Code:
    # chown root.www-data /usr/lib/apache2/suexec
    # chmod 4755 /usr/lib/apache2/suexec
    
    
    p.s. did anyone try out http://packages.debian.org/lenny/apache2-suexec-custom ???
     
    Last edited: Mar 25, 2010
  2. till

    till Super Moderator

    As far as I know, mpm-itk is not really compatible with the other php methods except of mod_php.
     
  3. grungy

    grungy HowtoForge Supporter

    All I am saying is that PHP as CGI works with mpm-itk but I get the following message
    Code:
    arning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    Warning: SuexecUserGroup directive requires SUEXEC wrapper.
    
     

Share This Page